% mathete perissotera gia ti syntaksi ton 
%                     imread, imwrite 
% xrisimopoiontas
%      help imread sto MATLAB Command Window
%      help imwrite sto MATLAB Command Window
% i xrisimopoiontas to helpdesk tou MATLAB
%
%
% Examples of read-write image files.
%     IN THIS PROGRAM AN IMAGE IS RED,  THE
%     FFT TRANSFORM IS EVALUATED, 
%     THE DISCRETE COFFICIENTS ARE 
%     QUANTISED AND STORED AS AN IMAGE FILE,
%     AND THEN THE LOGARITHM OF COFFICIENTS 
%     ARE QUANTISED AND STORED AS AN IMAGE.
%
clear *;  close all;clc;
I8=imread('saturn.tif');% O pinakas I8 meta thn entoli ayti 
%                            periexei mi prosimasmenous
%                             akeraious ton 8 bits.
%                            
pix_value=double(I8);% METATREPEI TA 8-BIT-mi
%                          prosimasmenous akeraious SE REAL.
FFT_COEF=fft2(pix_value);
FFT_COEF=fftshift(FFT_COEF);% shift coef to the 
%                    center for better visualisation.
magn=abs(FFT_COEF);%
% 3D plot for the magnitude of the transformation
[nlines,ncolumns]=size(FFT_COEF);
lines=-nlines/2:1:nlines-nlines/2-1;
colmns=-ncolumns/2:1:ncolumns-ncolumns/2-1;
figure;
mesh(lines,colmns,magn);
% 3D plot for the logarithm of the magnitude 
%of the transformation
% so that more details of the transform can be shown.
lmagn=magn+eps;
lmagn=log(lmagn);
figure;
mesh(lines,colmns,lmagn)
% construct images of the transformation magnitude,
% and of the logarithm ofthe transformation.
magn=mat2gray(magn);%Transforms magn into
%                             a similar signal with |magn|=<1
magni=gray2ind(magn,256);% Quantizes magn and 
%save indeces inmagni in the form of 
%                                           uint8 integers.
imwrite(magni,'saturn_spec.tif')% dimiourgia tou file eikonas
% In the same   way construct an image file for the log magn.
lmagn=mat2gray(lmagn);
lmagni=gray2ind(lmagn,256);
imwrite(lmagni,'saturn_log_spec.tif')
%
%  Please note that by the above imwrite construction image will be written
%  into the Current Directory (C:\Matlab\work). If you wish the images
%  to be written in a directry C:\path the imwrite must be constructed as:
%  imwrite(magn,'C:\path\saturn_spec.bmp')





